#pragma once

#include "CBData.h"
#include "NoSelEdit.h"
#include "HexViewCtrl.h"
#include "ClipMMPropertyPage.h"

// CHexViewDialog _CAO

class CHexViewDialog : public CClipMMPropertyPage
{
	DECLARE_DYNAMIC(CHexViewDialog)

public:
	CHexViewDialog(CCBData* pData);
	virtual ~CHexViewDialog();

// _CAO f[^
	enum { IDD = IDD_HEX_VIEW };

	CHexViewCtrl m_hexctrl;

	CFont m_fontFixedPitch;
	CFile m_fileMem;

	static void HexCtrlCallback(ULONGLONG pos, DWORD len, void* pBuf, DWORD_PTR dw1, DWORD_PTR dw2);


protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_comboLineWidth;
	CNoSelEdit m_editHex;
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeComboLineWidth();
	virtual void OnToolSetDefaultView();
};
