#pragma once


// CImgWnd

class CImgWnd : public CWnd
{
	DECLARE_DYNAMIC(CImgWnd)

public:
	Gdiplus::Image* m_pImage;
	int m_cxMargin;
	int m_cyMargin;
	int m_xScroll;
	int m_yScroll;
	int m_cxImage;	
	int m_cyImage;
	int m_xScrollMax;
	int m_yScrollMax;
	int m_cxLine;		// XN[́uPsv
	int m_cyLine;
	int m_cxClient;
	int m_cyClient;

	BOOL m_bCapture;
	CPoint m_ptMouse;		// Lv`̂ݗLG}EX{^̃}EXJ[\ʒu
	int m_xScrollMouse;		// XN[ʒu
	int m_yScrollMouse;

public:
	CImgWnd();
	virtual ~CImgWnd();

	BOOL Create(DWORD dwStyle, CWnd* pWndParent, UINT nID);
	void SetImage(Gdiplus::Image* pImage);

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	void CalcScrollParams();
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	void Scroll(int xScrollNew, int yScrollNew, BOOL bSetHBar, BOOL bSetVBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg UINT OnGetDlgCode();
};


