#pragma once

#include "CBData.h"
#include "afxwin.h"
#include "NoSelEdit.h"
#include "ClipMMPropertyPage.h"

class CMMCP
{
public:
	CString m_strName;
	int m_nCodePage;

	CMMCP() {}
	CMMCP(const CString& strName, int nCodePage) : m_strName(strName), m_nCodePage(nCodePage) {}
	virtual ~CMMCP() {}
};

// CTextViewDialog _CAO

class CTextViewDialog : public CClipMMPropertyPage
{
	DECLARE_DYNAMIC(CTextViewDialog)

public:
	CTextViewDialog(CCBData* pData);
	virtual ~CTextViewDialog();

	CBrush* m_pbrEditBack;
	int m_nCodePage;
	CArray<CMMCP*, CMMCP*> m_cptable;

	void ResetCPTable();
	void MakeCPTable(int nCPCurrentOld);
	void AddCPTable(int n);

// _CAO f[^
	enum { IDD = IDD_TEXT_VIEW };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_comboCodePage;
	CNoSelEdit m_editText;
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	int CheckBOM(BYTE* pMem, int& cbBOM);
	void FillCodePageComboBox();
	void ConvertAndSetText(BYTE* pMem);
	afx_msg void OnSelchangeComboCodePage();
	virtual void OnOK();
	afx_msg void OnSelendokComboCodePage();
	CStatic m_staticNUL;
	afx_msg void OnBnClickedButtonSet();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSysColorChange();
	virtual void OnToolSetDefaultView();
};
