// AddCodePageDialog.cpp : t@C
//

#include "stdafx.h"
#include "ClipMM.h"
#include "AddCodePageDialog.h"
#include "afxdialogex.h"
#include "Util.h"

const WCHAR* g_pszDefaultCodePages = L"ISO-2022-JP=50220;EUC-JP=51932;Windows-1252=1252;";

// CAddCodePageDialog _CAO

IMPLEMENT_DYNAMIC(CAddCodePageDialog, CDialogEx)

CAddCodePageDialog::CAddCodePageDialog(CWnd* pParent /*=NULL*/)
	: CDialogEx(CAddCodePageDialog::IDD, pParent)
{

}

CAddCodePageDialog::~CAddCodePageDialog()
{
}

void CAddCodePageDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_CODE_PAGES, m_editCodePages);
}


BEGIN_MESSAGE_MAP(CAddCodePageDialog, CDialogEx)
END_MESSAGE_MAP()


// CAddCodePageDialog bZ[W nh[


BOOL CAddCodePageDialog::OnInitDialog()
{
	CClipMMApp* pApp = (CClipMMApp*)AfxGetApp();

	CDialogEx::OnInitDialog();

	CString str = pApp->GetProfileString(L"Settings", L"CodePages", g_pszDefaultCodePages);
	CStringArray arrayCP;
	StringArrayFromString(arrayCP, str, L";");
	str = StringFromStringArray(arrayCP, L"\r\n");
	m_editCodePages.SetWindowText(str);

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


void CAddCodePageDialog::OnOK()
{
	CClipMMApp* pApp = (CClipMMApp*)AfxGetApp();

	CString str;
	m_editCodePages.GetWindowText(str);
	if (str.Find(L';') >= 0)
	{
		AfxMessageBox(L";͎g܂B");
		return;
	}



	CStringArray arrayCP;
	StringArrayFromString(arrayCP, str, L"\r\n");
	// gċs
	CStringArray arrayCP2;
	for (int i = 0; i < arrayCP.GetSize(); i++)
	{
		CString str =  arrayCP[i];
		str = str.Trim();
		if (!str.IsEmpty())
			arrayCP2.Add(str);
	}

	str = StringFromStringArray(arrayCP2, L";");
	pApp->WriteProfileString(L"Settings", L"CodePages", str);

	CDialogEx::OnOK();
}


