
// MainFrm.cpp : CMainFrame NX̎
//

#include "stdafx.h"
#include "ClipMM.h"

#include "MainFrm.h"
#include "LeftView.h"
#include "ClipMMView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define ID_DROPENTRANCEWND 10000

// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	ON_WM_QUERYENDSESSION()
	ON_WM_CLOSE()
	ON_WM_SHOWWINDOW()
	ON_COMMAND(ID_TOOL_SET_DEFAULT_VIEW, &CMainFrame::OnToolSetDefaultView)
END_MESSAGE_MAP()

// CMainFrame RXgNV/fXgNV

CMainFrame::CMainFrame()
	: m_bFirstTime(TRUE)
{
	// TODO: o[R[hɒǉĂB
}

CMainFrame::~CMainFrame()
{
}

BOOL CMainFrame::ShowWindow(int nCmdShow)
{
	CClipMMApp* pApp = (CClipMMApp*)AfxGetApp();

	if (m_bFirstTime && nCmdShow != SW_HIDE) {
		BOOL bLoaded = pApp->GetProfileInt(_T("Frame"), _T("Initialized"), FALSE);
		CRect rcLoaded;
		rcLoaded.left = pApp->GetProfileInt(_T("Frame"), _T("Left"), -1);
		rcLoaded.top = pApp->GetProfileInt(_T("Frame"), _T("Top"), -1);
		rcLoaded.right = pApp->GetProfileInt(_T("Frame"), _T("Right"), -1);
		rcLoaded.bottom = pApp->GetProfileInt(_T("Frame"), _T("Bottom"), -1);
		BOOL bIconicLoaded = pApp->GetProfileInt(_T("Frame"), _T("Iconic"), FALSE);
		BOOL bMaximizedLoaded = pApp->GetProfileInt(_T("Frame"), _T("Maximized"), FALSE);
		int nLeftPaneWidth = pApp->GetProfileInt(_T("Frame"), _T("LeftPaneWidth"), -1);

		UINT flags;
		WINDOWPLACEMENT wndpl;

		if (bLoaded)
		{
			if (bMaximizedLoaded) {
				if (nCmdShow != SW_SHOWMINIMIZED &&
					nCmdShow != SW_SHOWMINNOACTIVE) {		// ACRNw肳Ă΂D
					nCmdShow = SW_SHOWMAXIMIZED;
				}
				flags = WPF_RESTORETOMAXIMIZED;
			}
			else {
				if (nCmdShow != SW_SHOWMINIMIZED &&			// ACRNw肳Ă΂D
					nCmdShow != SW_SHOWMINNOACTIVE) {
					nCmdShow = SW_NORMAL;
				}
				flags = 0;
			}
			wndpl.length = sizeof(WINDOWPLACEMENT);
			wndpl.showCmd = nCmdShow;
			wndpl.flags = flags;
			wndpl.ptMinPosition = CPoint(0, 0);
			wndpl.ptMaxPosition = CPoint(-::GetSystemMetrics(SM_CXBORDER),
										 -::GetSystemMetrics(SM_CYBORDER));
			wndpl.rcNormalPosition = rcLoaded;
			SetWindowPlacement(&wndpl);

		}

		m_bFirstTime = FALSE;
	}
	return CFrameWnd::ShowWindow(nCmdShow);

}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	if (!m_wndToolBar.CreateEx(this) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE("c[o[̍쐬Ɏs܂B");
		return -1;
	}

	m_wndDropEntrance.Create(&m_wndToolBar, ID_DROPENTRANCEWND, 
		RGB(255, 252, 244), L"Ƀhbv\r\n(S`)\r\n", 0);
	m_wndDropEntranceFormat.Create(&m_wndToolBar, ID_DROPENTRANCEWND + 1, 
		RGB(244, 255, 252), L"Ƀhbv\r\n(`w)\r\n", 1);
	{
		// ŏ̃Zp[^̈ʒuɕ\
		for (int i = 0; i < m_wndToolBar.GetCount(); i++)
		{
			if (m_wndToolBar.GetItemID(i) == ID_SEPARATOR)
			{
				m_wndToolBar.SetButtonInfo(i, ID_SEPARATOR, TBBS_SEPARATOR, 200);
				CRect rc;
				m_wndToolBar.GetItemRect(i, rc);
				CRect rc1 = rc;
				rc1.right = rc1.left + 100;
				m_wndDropEntrance.MoveWindow(rc1);
				CRect rc2 = rc;
				rc2.left = rc2.left + 100;
				m_wndDropEntranceFormat.MoveWindow(rc2);

				m_wndDropEntrance.ShowWindow(SW_SHOW);
				m_wndDropEntranceFormat.ShowWindow(SW_SHOW);
			}
		}
	}

	return 0;
}

BOOL CMainFrame::OnCreateClient(LPCREATESTRUCT /*lpcs*/,
	CCreateContext* pContext)
{
	CClipMMApp* pApp = (CClipMMApp*)AfxGetApp();

	// EBhE̍쐬
	if (!m_wndSplitter.CreateStatic(this, 1, 2))
		return FALSE;

	CSize szLeftPane(200, 100);
	int nLeftPaneWidth = pApp->GetProfileInt(L"Frame", L"LeftPaneWidth", -1);
	if (nLeftPaneWidth > 0)
	{
		szLeftPane.cx = nLeftPaneWidth;
	}

	if (!m_wndSplitter.CreateView(0, 0, RUNTIME_CLASS(CLeftView), szLeftPane, pContext) ||
		!m_wndSplitter.CreateView(0, 1, RUNTIME_CLASS(CClipMMView), CSize(100, 100), pContext))
	{
		m_wndSplitter.DestroyWindow();
		return FALSE;
	}

	return TRUE;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;


	m_strClassName = AfxRegisterWndClass(CS_DBLCLKS, NULL, NULL, AfxGetApp()->LoadIcon(IDR_MAINFRAME));
	cs.lpszClass = m_strClassName;

	return TRUE;
}

// CMainFrame ff

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif //_DEBUG


// CMainFrame bZ[W nh[

CClipMMView* CMainFrame::GetRightPane()
{
	CWnd* pWnd = m_wndSplitter.GetPane(0, 1);
	CClipMMView* pView = DYNAMIC_DOWNCAST(CClipMMView, pWnd);
	return pView;
}


void CMainFrame::OnDestroy()
{
	CFrameWnd::OnDestroy();

}


BOOL CMainFrame::OnQueryEndSession()
{
	if (!CFrameWnd::OnQueryEndSession())
		return FALSE;

	SavePersistentInfo();

	return TRUE;
}



void CMainFrame::OnClose()
{
	SavePersistentInfo();

	CFrameWnd::OnClose();
}

void CMainFrame::SavePersistentInfo()
{
	if (IsWindowVisible())
	{
		CClipMMApp* pApp = (CClipMMApp*)AfxGetApp();

		// EBhËʒuۑ
		BOOL bIconic, bMaximized;

		WINDOWPLACEMENT wndpl;
		wndpl.length = sizeof(WINDOWPLACEMENT);
		// EBhĚ݈ʒuƁAACR^ő剻Ԃ擾
		BOOL bRet = GetWindowPlacement(&wndpl);
		if (wndpl.showCmd == SW_SHOWNORMAL) {
			bIconic = FALSE;
			bMaximized = FALSE;
		}
		else if (wndpl.showCmd == SW_SHOWMAXIMIZED) {
			bIconic = FALSE;
			bMaximized = TRUE;
		}
		else if (wndpl.showCmd == SW_SHOWMINIMIZED) {
			bIconic = TRUE;
			if (wndpl.flags) {
				bMaximized = TRUE;
			}
			else {
				bMaximized = FALSE;
			}
		}

		pApp->WriteProfileInt(_T("Frame"), _T("Left"), wndpl.rcNormalPosition.left);
		pApp->WriteProfileInt(_T("Frame"), _T("Top"), wndpl.rcNormalPosition.top);
		pApp->WriteProfileInt(_T("Frame"), _T("Right"), wndpl.rcNormalPosition.right);
		pApp->WriteProfileInt(_T("Frame"), _T("Bottom"), wndpl.rcNormalPosition.bottom);
		pApp->WriteProfileInt(_T("Frame"), _T("Iconic"), bIconic);
		pApp->WriteProfileInt(_T("Frame"), _T("Maximized"), bMaximized);

		int cxCur, cxMin;
		m_wndSplitter.GetColumnInfo(0, cxCur, cxMin);
		pApp->WriteProfileInt(_T("Frame"), _T("LeftPaneWidth"), cxCur);

		pApp->WriteProfileInt(_T("Frame"), _T("Initialized"), TRUE);

		CWnd* pWnd = m_wndSplitter.GetPane(0, 1);
		if (pWnd->IsKindOf(RUNTIME_CLASS(CClipMMView)))
		{
			CClipMMView* pView = (CClipMMView*)pWnd;
			pView->SavePersistentInfo();
		}
		

	}
}



void CMainFrame::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CFrameWnd::OnShowWindow(bShow, nStatus);

}


void CMainFrame::OnToolSetDefaultView()
{
	CWnd* pWnd = m_wndSplitter.GetPane(0, 1);
	if (pWnd->IsKindOf(RUNTIME_CLASS(CClipMMView)))
	{
		CClipMMView* pView = (CClipMMView*)pWnd;
		pView->OnToolSetDefaultView();
	}
}
