#pragma once

extern CString StringFromStringArray(const CStringArray& arrayStr, const WCHAR* pszSeparator);
extern CString StringFromStringArray(const WCHAR* arrayStr[], size_t nCount, const WCHAR* pszSeparator);
void StringArrayFromString(CStringArray& arrayStr, const WCHAR *pszStr, const WCHAR* pszSeparator);

extern CString UnsignedDecimalString(unsigned int n);
extern CString UnsignedLongLongDecimalString(unsigned __int64 n);
extern CString SizeDecimalString(size_t n);
extern CString DoubleAmp(const CString& str);

extern CString MakePathName(const CString& strDir, const CString& strFile);

// g񂵗p\̂ƃ\[g֐

struct PSZ_PSZ
{
	const WCHAR* psz1;
	const WCHAR* psz2;
};
extern int __cdecl PSZ_PSZ_compare(const void* pv1, const void* pv2);

struct UINT_PSZ
{
	UINT uint;
	const WCHAR* psz;
};
extern int __cdecl UINT_PSZ_compare(const void* pv1, const void* pv2);


struct PSZ_UINT
{
	const WCHAR* psz;
	UINT uint;
};
extern int __cdecl PSZ_UINT_compare(const void* pv1, const void* pv2);

